Get a segment
Retrieve one segment with its definition, live count and problems.
GET
https://app.usenotix.dev/api/v1/contactBooks/{contactBookId}/segments/{segmentId}Full access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.
Retrieve one segment with its definition, live count and problems.
Path parameters
contactBookIdstringrequired
segmentIdstringrequired
Headers
Authorizationstringrequired
Bearer followed by your API key.
Errors
404
No segment with this id in the contact book for the calling team.
Every error has the same shape. See all error codes.
curl -X GET "https://app.usenotix.dev/api/v1/contactBooks/<contactBookId>/segments/<segmentId>" \
-H "Authorization: Bearer $NOTIX_API_KEY"
import { Notix } from "notix-js";
const notix = new Notix(process.env.NOTIX_API_KEY);
const { data, error } = await notix.segments.get("cb_123", "seg_123");
from notix import Notix
notix = Notix() # reads NOTIX_API_KEY
segment, _ = notix.segments.get("cb_123", "seg_123")
use Notix\Notix;
$notix = new Notix(getenv('NOTIX_API_KEY'));
$segment = $notix->segments->get('cb_123', 'seg_123');
Response200
{
"id": "cm1x8f3k20001qz7v5b9d2e4a",
"contactBookId": "cm1x8f3k20001qz7v5b9d2e4a",
"name": "Acme",
"description": "string",
"definition": {
"version": 1,
"match": "all",
"conditions": [
{
"type": null,
"match": null,
"conditions": null
}
]
},
"count": 1,
"problems": [
"string"
],
"createdAt": "string",
"updatedAt": "string",
"source": {
"provider": "resend",
"migratedAt": "2026-10-07T10:05:00.000Z"
}
}